from PySteppables import *
import CompuCell
import sys


# 1, 7, 13, 19, 25, 31, ... (i-1)+6 -->
# in 2D, 1.61 * number of edges -->
class ConstraintInitializerSteppable(SteppableBasePy):
    def __init__(self,_simulator,_frequency=1):
        SteppableBasePy.__init__(self,_simulator,_frequency)
    def start(self):
        for cell in self.cellList:
            cell.targetVolume =37.0
            cell.lambdaVolume =20.0
            cell.targetSurface=26. # 26.06
            cell.lambdaSurface=20.0  # 10. 15. 
        
class DataLog(SteppableBasePy):
    def __init__(self,_simulator,_frequency=1):
        SteppableBasePy.__init__(self,_simulator,_frequency)
    
    def step(self,mcs):
        if mcs & 100 == 0:
            for cell in self.cellList:
                print cell.id, cell.type, cell.volume, cell.surface      
            print

                